/****************************************************************************** 
*
* Copyright 1991-2009 by ADIC, Inc.  All rights reserved.
* No part of this work may be reproduced or transmitted in any
* form or by any means, electronic or mechanical, including
* photocopying and recording, or by any information storage
* or retrieval system, except as may be expressly permitted by
* the 17 U.S.C. section 101, et. seq., or in writing by
* ADIC, Inc.
*******************************************************************************/
/****************************************************************************** 
* Name: hostAccess.js
* Purpose: Javascript functions for host Access
*
* $Id: $
*******************************************************************************/

function doConnectionTargets()
{
   var selectCount = 0;
   var selectList = self.frames["hostFrame"].document.forms[0].getElementsByTagName('input');

   var selectedHosts="";

   for (i=0; i<selectList.length; i++)
   {
      if( (selectList[i].type == 'checkbox') && (selectList[i].checked) )
      {
         if( selectedHosts == "")
         {
            selectedHosts = selectList[i].value;
         }
         else
         {
            selectedHosts = selectedHosts + '*' + selectList[i].value;
         }
         selectCount++;
      }
   }

   document.forms['resultForm'].hostSelection.value = selectedHosts;

   if( selectCount <= 0 )
   {
      alert('Please select Hosts to connect');
      return;
   }

   // Now do the partitionFrame
   selectCount = 0;
   selectList = self.frames["partitionFrame"].document.forms[0].getElementsByTagName('input');

   var selectedPartitions="";

   for (i=0; i<selectList.length; i++)
   {
      if( (selectList[i].type == 'checkbox') && (selectList[i].checked) )
      {
         if( selectedPartitions == "")
         {
            selectedPartitions = selectList[i].value;
            var lib = selectList[i].value;
         }
         else
         {
            selectedPartitions = selectedPartitions + '*' + selectList[i].value;
         }
         selectCount++;
      }
   }

   document.forms['resultForm'].partitionSelection.value = selectedPartitions;

   if( selectCount <= 0 )
   {
      alert('Please select Partitions to connect');
      return;
   }

   // Set to the first library
   var libItems = lib.split(":");

   document.getElementById('libraryNameMedia').innerHTML = "<b>" + libItems[1] + "</b>";
     
   if (selectCount > 1)
   {
       document.getElementById('next').style.display = 'inline';
       document.getElementById('apply').style.display = 'none';
   }
   else 
   {
       document.getElementById('next').style.display = 'none';
       document.getElementById('apply').style.display = 'inline';
   }

   switchDiv('connection','configureAccess');

}


function next()
{
   var libIndex = document.forms['resultForm'].partitionIndex.value; 
   var libs = document.forms['resultForm'].partitionSelection.value;

   var libList = libs.split("*");
   var libCount = libList.length;

   libIndex++;

   var lib = libList[libIndex];
   var libItems = lib.split(":");

   document.getElementById('libraryNameMedia').innerHTML = 
     "<b>" + libItems[1] + "</b>";

   if (libIndex < (libCount-1))
   {
       document.getElementById('next').style.display = 'inline';
       document.getElementById('apply').style.display = 'none';
   }
   else
   {
      document.getElementById('next').style.display = 'none';
      document.getElementById('apply').style.display = 'inline';
   }

   document.forms['resultForm'].partitionIndex.value = libIndex;

   switchDiv('connection','configureAccess');
}


function back()
{
   var libIndex = document.forms['resultForm'].partitionIndex.value;
   var libs     = document.forms['resultForm'].partitionSelection.value;
   var libList  = libs.split("*");
   var libCount = libList.length;

   if (libIndex > 0)
   {
      var lib = libList[--libIndex];
      var libItems = lib.split(":");

      document.getElementById('libraryNameMedia').innerHTML = "<b>" + libItems[1] + "</b>";
      document.forms['resultForm'].partitionIndex.value = libIndex;

      document.getElementById('next').style.display = '';
      document.getElementById('apply').style.display = 'none';

      switchDiv('connection','configureAccess');
   }
   else 
   {
      switchDiv('configureAccess', 'connection');
   }

}
