/****************************************************************************** 
*
* Copyright 1991-2009 by ADIC, Inc.  All rights reserved.
* No part of this work may be reproduced or transmitted in any
* form or by any means, electronic or mechanical, including
* photocopying and recording, or by any information storage
* or retrieval system, except as may be expressly permitted by
* the 17 U.S.C. section 101, et. seq., or in writing by
* ADIC, Inc.
*******************************************************************************/
/****************************************************************************** 
* Name: hostAccess.js
* Purpose: Javascript functions for host Access
*
* $Id: $
*******************************************************************************/

function doConnectionTargets()
{
   var selectCount = 0;
   var selectList = self.frames["hostFrame"].document.forms[0].getElementsByTagName('input');

   var selectedHosts="";

   for (i=0; i<selectList.length; i++)
   {
      if( (selectList[i].type == 'radio') && (selectList[i].checked) )
      {
         selectedHosts = selectList[i].value;
         selectCount++;
      }
   }

   if( selectCount <= 0 )
   {
      alert('Please select Hosts to connect');
      return;
   }

   document.forms['resultForm'].hostSelection.value = selectedHosts;

   // Now do the partitionFrame
   selectCount = 0;
   selectList = self.frames["partitionFrame"].document.forms[0].getElementsByTagName('input');

   var selectedPartitions="";

   for (i=0; i<selectList.length; i++)
   {
      if( (selectList[i].type == 'checkbox') && (selectList[i].checked) )
      {
         if( selectedPartitions == "")
         {
            selectedPartitions = selectList[i].value;
            var lib = selectList[i].value;
         }
         else
         {
            selectedPartitions = selectedPartitions + '*' + selectList[i].value;
         }
         selectCount++;
      }
   }

   document.forms['resultForm'].partitionSelection.value = selectedPartitions;

   if( selectCount <= 0 )
   {
      alert('Please select Partitions to connect');
      return;
   }

   // Set to the first library
   var libItems = lib.split(":");

   document.getElementById('libraryNameMedia').innerHTML = "<b>" + libItems[1] + "</b>";
     
   if (selectCount > 1)
   {
       document.getElementById('nextT').style.display = 'inline';
       document.getElementById('applyT').style.display = 'none';
   }
   else 
   {
       document.getElementById('nextT').style.display = 'none';
       document.getElementById('applyT').style.display = 'inline';
   }

   switchDiv('connection','configureAccess');

}

function doGetSelectedHost(frame_in)
{
   //var selectList = self.frames["hostFrame"].document.forms[0].getElementsByTagName('input');
   var selectList = self.frames[frame_in].document.forms[0].getElementsByTagName('input');

   var selectedHosts="";

   document.forms['Hosts'].hostSelection.value = "";

   for (i=0; i<selectList.length; i++)
   {
      if( (selectList[i].type == 'radio') && (selectList[i].checked) )
      {
         selectedHosts = selectList[i].value;
      }
   }

   document.forms['Hosts'].hostSelection.value = selectedHosts;
}

function next()
{
   var libIndex = document.forms['resultForm'].partitionIndex.value; 
   var libs = document.forms['resultForm'].partitionSelection.value;

   var libList = libs.split("*");
   var libCount = libList.length;

   libIndex++;

   var lib = libList[libIndex];
   var libItems = lib.split(":");

   document.getElementById('libraryNameMedia').innerHTML = 
     "<b>" + libItems[1] + "</b>";

   if (libIndex < (libCount-1))
   {
       document.getElementById('nextT').style.display = 'inline';
       document.getElementById('applyT').style.display = 'none';
   }
   else
   {
      document.getElementById('nextT').style.display = 'none';
      document.getElementById('applyT').style.display = 'inline';
   }

   document.forms['resultForm'].partitionIndex.value = libIndex;

   switchDiv('connection','configureAccess');
}


function back()
{
   var libIndex = document.forms['resultForm'].partitionIndex.value;
   var libs     = document.forms['resultForm'].partitionSelection.value;
   var libList  = libs.split("*");
   var libCount = libList.length;

   if (libIndex > 0)
   {
      var lib = libList[--libIndex];
      var libItems = lib.split(":");

      document.getElementById('libraryNameMedia').innerHTML = "<b>" + libItems[1] + "</b>";
      document.forms['resultForm'].partitionIndex.value = libIndex;

      document.getElementById('nextT').style.display = 'inline';
      document.getElementById('applyT').style.display = 'none';

      switchDiv('connection','configureAccess');
   }
   else 
   {
      switchDiv('configureAccess', 'connection');
   }

}

function initAddFrame()
{
   document.getElementById('hostFrame').src="blank.htm";
   document.getElementById('addhostFrame').src="hostAccessRegistrationList.htm?type=AddHosts";
   var bg = frames['addhostFrame'].getStyleObject('LoadingBG');
   var bgC = frames['addhostFrame'].getStyleObject('LoadingClock');
      // Note - these are not valid on the first load becaseu the page is still blamk.htm
   if( bg )
      bg.visibility = 'visible';
   if( bgC )
      bgC.visibility = 'visible';
}

function loadMapFrames()
{
   document.getElementById('deviceFrame').src="hostAccessConnectionList.htm?type=Devices";
   var bg = frames['deviceFrame'].getStyleObject('LoadingBG');
   var bgC = frames['deviceFrame'].getStyleObject('LoadingClock');

   if( bg )
      bg.visibility = 'visible';
   if( bgC )
      bgC.visibility = 'visible';
}


function hostSelected()
{
   var gotone = 0;
   var radioboxList = parent.frames["hostFrame"].document.getElementsByTagName('input');
   
   for(i=0; i<radioboxList.length; i++)
   {
      if( (radioboxList[i].type == "radio") && (radioboxList[i].checked) )
      {
         setHostValue(radioboxList[i].value);
         
         gotone = 1;
         break;
      }
   }
   
   if( !gotone )
   {
      alert("No host has been selected");
      return;
   }
}

function setHostValue(radioValue)
{

    parent.document.getElementById('partitionFrame').src="hostAccessConnectionList.htm?type=Partitions&operation=HostSelection&host="+radioValue;

    var bg = parent.frames['partitionFrame'].getStyleObject('LoadingBG');
    var bgC = parent.frames['partitionFrame'].getStyleObject('LoadingClock');

    if( bg )
       bg.visibility = 'visible';
    if( bgC )
       bgC.visibility = 'visible';

    parent.document.getElementById('deviceFrame').src="hostAccessConnectionList.htm?type=Devices&operation=HostSelection&host="+radioValue;
    var bg = parent.frames['deviceFrame'].getStyleObject('LoadingBG');
    var bgC = parent.frames['deviceFrame'].getStyleObject('LoadingClock');

    if( bg )
       bg.visibility = 'visible';
    if( bgC )
       bgC.visibility = 'visible';


}

function doDPSMapping()
{
   
   // Check to see if a host has been selected
   var gotone = 0;
   var radioboxList = self.frames["hostFrame"].document.getElementsByTagName('input');

   for(i=0; i<radioboxList.length; i++)
   {
       if( (radioboxList[i].type == "radio") && (radioboxList[i].checked) )
       {
          document.forms['resultForm'].hostSelection.value = radioboxList[i].value;
          document.forms['resultForm'].operation.value = 'HostSelection';
      gotone = 1;
      break;
       }
   }

   if( !gotone )
   {
      alert("Please select a host.");
      return;
   }

   var deviceSelectCount = 0;
   var deviceSelectList = self.frames["deviceFrame"].document.forms[0].getElementsByTagName('input');
   var selectedDevices="";

   for (i=0; i<deviceSelectList.length; i++)
   {
      if ((deviceSelectList[i].type == 'checkbox') && (deviceSelectList[i].checked))
      {
         if( selectedDevices == "")
         {
            selectedDevices = deviceSelectList[i].value;
         }
         else
         {
            selectedDevices = selectedDevices + ':' + deviceSelectList[i].value;
         }
         deviceSelectCount++;
      }
   }

   var libSelectCount = 0;
   var libSelectList = self.frames["partitionFrame"].document.forms[0].getElementsByTagName('input');
   var selectedLibs="";

   for (i=0; i<libSelectList.length; i++)
   {
      if ((libSelectList[i].type == 'checkbox') && (libSelectList[i].checked))
      {
         if( selectedLibs == "")
         {
            selectedLibs = libSelectList[i].value;
         }
         else
         {
            selectedLibs = selectedLibs + ':' + libSelectList[i].value;
         }
         libSelectCount++;
      }
   }

   document.forms['resultForm'].deviceSelection.value = selectedDevices;
   document.forms['resultForm'].libSelection.value = selectedLibs;

   var action = "Mapping Host";
   openProgressWindow(action, 'resultForm');
}

function doEnableDrives()
{
   var licenseCount = 0;
   var modified = false;
   var modifiedDriveList = "";
   var modifiedMappingValueList = "";
   var CPFValueList = "";
   var delim = "";

   var selectList = self.frames["deviceFrame"].document.forms[0].getElementsByTagName('input');
   var maxLicense = document.forms['resultForm'].max_license.value;

   // Calculate the number of licenses required in the new configuration
   for (i=0; i<selectList.length; i++)
   {
      if (selectList[i].type == 'checkbox')
      {
     var value = selectList[i].value;
     var valueItems = value.split(":");

     if (selectList[i].checked)
     {
            if (valueItems[1] == 0) // checkbox was selected
        {
        modifiedDriveList += delim;
        modifiedDriveList += valueItems[0]; // driveGuid
        modifiedMappingValueList += delim;
        modifiedMappingValueList += 1;  // LUN mapping enabled
                CPFValueList += delim;
        CPFValueList += valueItems[2];

                delim = ":";
        modified = true;
        }
     }
     else if (valueItems[1] == 1) // checkbox was deselected
     {
         modifiedDriveList += delim;
         modifiedDriveList += valueItems[0]; // driveGuid
         modifiedMappingValueList += delim;
         modifiedMappingValueList += 0;  // LUN mapping NOT enabled
         CPFValueList += delim;
         CPFValueList += valueItems[2];

         delim = ":";
         modified = true;
     }

         if (selectList[i].checked || valueItems[2]) // if selected or cpfEnabled, this drive will consume a license
     {
         licenseCount++;
     }
      }
   }

   // Notify if nothing was modified, otherwise check that we still adhere to licensing limits
   if (!modified)
   {
       alert("No changes were made.");
       return;
   }
   else if (licenseCount > maxLicense)
   {
      if (licenseCount%2)
      {
      licenseCount++;
      }
      alert ("The new configuration exceeds the number of currently licensed SNW drives.\n\n" + 
         "The current license allows for up to " + maxLicense + " SNW drives to be configured.\n" +
         "The new configuration requires a minimum of " + licenseCount + " SNW drives to be licensed.");
      return;
   }

   //alert("modifiedDriveList = " + modifiedDriveList);
   //alert("modifiedMappingValueList = " + modifiedValueList);

   // All looks good, need to post the changes
   document.forms['resultForm'].modifiedDrives.value = modifiedDriveList;
   document.forms['resultForm'].modifiedMappingValues.value = modifiedMappingValueList;
   document.forms['resultForm'].cpfValues.value = CPFValueList;

   var action = "Enable Drives";
   openProgressWindow(action, 'resultForm');

}

function doHostAccess()
{
   // Make sure any changes have been applied
   var modified = false;
   var selectList = self.frames["deviceFrame"].document.forms[0].getElementsByTagName('input');

   // Calculate the number of licenses required in the new configuration
   for (i=0; i<selectList.length; i++)
   {
      if (selectList[i].type == 'checkbox')
      {
     var value = selectList[i].value;
     var valueItems = value.split(":");

     if (selectList[i].checked)
     {
            if (valueItems[1] == 0) // checkbox was selected
        {
        modified = true;
        }
     }
     else if (valueItems[1] == 1) // checkbox was deselected
     {
         modified = true;
     }

      }
   }

   // Notify and instruct to "Apply" the changes
   if (modified)
   {
       alert("Changes were made in this menu.  Select \"Apply\" to apply the changes before configuring access.");
       return;
   }

   window.location.href="hostAccessManagement.htm?source=hostAccessEnableDrives.htm";
}


